from django.db.models import Count

from inventory.models import InventoryObjectLabel
from racks import crud


class LabelListView(crud.ListView):
    def get_queryset(self):
        return super(LabelListView, self).get_queryset().annotate(
            inventory_object_count=Count('inventory_objects'))


class LabelViewSet(crud.ViewSet):
    model = InventoryObjectLabel
    list_view = LabelListView
    update_view = None
    detail_view = None
    create_view = None
    fields = '__all__'


urlpatterns = LabelViewSet('inventory.labels').urlpatterns
