from django.db.models import Count

from inventory.models import Location
from racks import crud


class LocationListView(crud.ListView):
    def get_queryset(self):
        return super(LocationListView, self).get_queryset().annotate(
            inventory_object_count=Count('facts__inventory_objects'))


class LocationViewSet(crud.ViewSet):
    model = Location
    related_foreign_key_fields = ('facts',)
    list_view = LocationListView
    fields = '__all__'


urlpatterns = LocationViewSet('inventory.locations').urlpatterns
