# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'JenkinsInstance'
        db.create_table(u'jenkins_ci_jenkinsinstance', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=32)),
            ('url', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('username', self.gf('inventory.fields.NullableCharField')(default=None, max_length=63, null=True, blank=True)),
            ('api_key', self.gf('inventory.fields.NullableCharField')(default=None, max_length=63, null=True, blank=True)),
            ('last_successful_sync', self.gf('django.db.models.fields.DateTimeField')(default=None, null=True)),
            ('last_failed_sync', self.gf('django.db.models.fields.DateTimeField')(default=None, null=True)),
            ('master_node', self.gf('django.db.models.fields.related.ForeignKey')(related_name='+', null=True, on_delete=models.SET_NULL, to=orm['jenkins_ci.JenkinsNode'])),
        ))
        db.send_create_signal(u'jenkins_ci', ['JenkinsInstance'])

        # Adding model 'JenkinsLabel'
        db.create_table(u'jenkins_ci_jenkinslabel', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=63)),
        ))
        db.send_create_signal(u'jenkins_ci', ['JenkinsLabel'])

        # Adding model 'JenkinsNode'
        db.create_table(u'jenkins_ci_jenkinsnode', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('modified', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('active', self.gf('django.db.models.fields.BooleanField')(default=True, db_index=True)),
            ('added_by', self.gf('django.db.models.fields.CharField')(max_length=64, null=True, blank=True)),
            ('instance', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='nodes', null=True, on_delete=models.SET_NULL, to=orm['jenkins_ci.JenkinsInstance'])),
            ('inventory_object', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='jenkins_nodes', null=True, on_delete=models.SET_NULL, to=orm['inventory.InventoryObject'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=127, db_index=True)),
            ('hostname', self.gf('django.db.models.fields.CharField')(max_length=127, null=True, db_index=True)),
            ('address', self.gf('django.db.models.fields.CharField')(max_length=15, null=True)),
            ('offline', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('temporarily_offline', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('offline_reason', self.gf('inventory.fields.NullableCharField')(default=None, max_length=127, null=True)),
            ('architecture', self.gf('inventory.fields.NullableCharField')(default=None, max_length=63, null=True)),
            ('executors', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('available_memory', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('total_memory', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('available_swap', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('total_swap', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('disk_space', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('temp_disk_space', self.gf('django.db.models.fields.BigIntegerField')(default=0)),
            ('last_job', self.gf('django.db.models.fields.DateTimeField')(default=None, null=True)),
            ('disabled', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'jenkins_ci', ['JenkinsNode'])

        # Adding M2M table for field labels on 'JenkinsNode'
        db.create_table(u'jenkins_ci_jenkinsnode_labels', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('jenkinsnode', models.ForeignKey(orm[u'jenkins_ci.jenkinsnode'], null=False)),
            ('jenkinslabel', models.ForeignKey(orm[u'jenkins_ci.jenkinslabel'], null=False))
        ))
        db.create_unique(u'jenkins_ci_jenkinsnode_labels', ['jenkinsnode_id', 'jenkinslabel_id'])

        # Adding model 'JenkinsErrorLog'
        db.create_table(u'jenkins_ci_jenkinserrorlog', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('instance', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='error_logs', null=True, on_delete=models.SET_NULL, to=orm['jenkins_ci.JenkinsInstance'])),
            ('instance_name', self.gf('django.db.models.fields.CharField')(max_length=32)),
            ('instance_url', self.gf('django.db.models.fields.CharField')(max_length=127)),
            ('message', self.gf('django.db.models.fields.CharField')(max_length=255)),
        ))
        db.send_create_signal(u'jenkins_ci', ['JenkinsErrorLog'])


    def backwards(self, orm):
        # Deleting model 'JenkinsInstance'
        db.delete_table(u'jenkins_ci_jenkinsinstance')

        # Deleting model 'JenkinsLabel'
        db.delete_table(u'jenkins_ci_jenkinslabel')

        # Deleting model 'JenkinsNode'
        db.delete_table(u'jenkins_ci_jenkinsnode')

        # Removing M2M table for field labels on 'JenkinsNode'
        db.delete_table('jenkins_ci_jenkinsnode_labels')

        # Deleting model 'JenkinsErrorLog'
        db.delete_table(u'jenkins_ci_jenkinserrorlog')


    models = {
        u'inventory.facterlocation': {
            'Meta': {'object_name': 'FacterLocation'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'fact': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'facts'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['inventory.Location']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'inventory.inventoryobject': {
            'Meta': {'ordering': "('-id',)", 'object_name': 'InventoryObject'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'assigned_group': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'assigned_objects'", 'null': 'True', 'to': u"orm['inventory.RacksGroup']"}),
            'assigned_user': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'assigned_objects'", 'null': 'True', 'to': u"orm['inventory.RacksUser']"}),
            'bugs': ('django.db.models.fields.CommaSeparatedIntegerField', [], {'max_length': '254', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'dcim_id': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'dcim_jira_issue': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'dcim_label': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'facter_location': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.FacterLocation']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ipmi_host': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'ipmi_password': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ipmi_user': ('inventory.fields.NullableCharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ipv4network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'inventory_objects'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['inventory.IPv4Network']"}),
            'l2network': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'inventory_objects'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['inventory.L2Network']"}),
            'label': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'blank': 'True', 'to': u"orm['inventory.InventoryObjectLabel']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('inventory.fields.NullableCharField', [], {'db_index': 'True', 'max_length': '254', 'unique': 'True', 'null': 'True', 'blank': 'True'}),
            'orphan_dcim_id': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'responsible': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'inventory_objects'", 'blank': 'True', 'db_index': 'True', 'to': u"orm['inventory.RacksUser']"}),
            'type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'inventory_objects'", 'null': 'True', 'to': u"orm['inventory.InventoryObjectType']"})
        },
        u'inventory.inventoryobjectlabel': {
            'Meta': {'object_name': 'InventoryObjectLabel'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64'}),
            'type': ('django.db.models.fields.CharField', [], {'default': "'GY'", 'max_length': '2'})
        },
        u'inventory.inventoryobjecttype': {
            'Meta': {'object_name': 'InventoryObjectType'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.ipv4network': {
            'Meta': {'ordering': "('address',)", 'unique_together': "(('address', 'netmask'),)", 'object_name': 'IPv4Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'gateway': ('django.db.models.fields.CharField', [], {'max_length': '15'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'l2network': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'ipv4_networks'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['inventory.L2Network']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'netmask': ('django.db.models.fields.CharField', [], {'max_length': '15'})
        },
        u'inventory.l2network': {
            'Meta': {'object_name': 'L2Network'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            'vlanid': ('django.db.models.fields.IntegerField', [], {})
        },
        u'inventory.location': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Location'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '254'})
        },
        u'inventory.racksgroup': {
            'Meta': {'object_name': 'RacksGroup'},
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'users': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "'groups'", 'blank': 'True', 'to': u"orm['inventory.RacksUser']"})
        },
        u'inventory.racksuser': {
            'Meta': {'object_name': 'RacksUser'},
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'username': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'jenkins_ci.jenkinserrorlog': {
            'Meta': {'object_name': 'JenkinsErrorLog'},
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'instance': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'error_logs'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['jenkins_ci.JenkinsInstance']"}),
            'instance_name': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'instance_url': ('django.db.models.fields.CharField', [], {'max_length': '127'}),
            'message': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'jenkins_ci.jenkinsinstance': {
            'Meta': {'object_name': 'JenkinsInstance'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'api_key': ('inventory.fields.NullableCharField', [], {'default': 'None', 'max_length': '63', 'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_failed_sync': ('django.db.models.fields.DateTimeField', [], {'default': 'None', 'null': 'True'}),
            'last_successful_sync': ('django.db.models.fields.DateTimeField', [], {'default': 'None', 'null': 'True'}),
            'master_node': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['jenkins_ci.JenkinsNode']"}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32'}),
            'url': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'username': ('inventory.fields.NullableCharField', [], {'default': 'None', 'max_length': '63', 'null': 'True', 'blank': 'True'})
        },
        u'jenkins_ci.jenkinslabel': {
            'Meta': {'object_name': 'JenkinsLabel'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '63'})
        },
        u'jenkins_ci.jenkinsnode': {
            'Meta': {'object_name': 'JenkinsNode'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'db_index': 'True'}),
            'added_by': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'address': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True'}),
            'architecture': ('inventory.fields.NullableCharField', [], {'default': 'None', 'max_length': '63', 'null': 'True'}),
            'available_memory': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'available_swap': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'disabled': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'disk_space': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'executors': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'hostname': ('django.db.models.fields.CharField', [], {'max_length': '127', 'null': 'True', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'instance': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'nodes'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['jenkins_ci.JenkinsInstance']"}),
            'inventory_object': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'jenkins_nodes'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': u"orm['inventory.InventoryObject']"}),
            'labels': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'nodes'", 'symmetrical': 'False', 'to': u"orm['jenkins_ci.JenkinsLabel']"}),
            'last_job': ('django.db.models.fields.DateTimeField', [], {'default': 'None', 'null': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '127', 'db_index': 'True'}),
            'offline': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'offline_reason': ('inventory.fields.NullableCharField', [], {'default': 'None', 'max_length': '127', 'null': 'True'}),
            'temp_disk_space': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'temporarily_offline': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'total_memory': ('django.db.models.fields.BigIntegerField', [], {'default': '0'}),
            'total_swap': ('django.db.models.fields.BigIntegerField', [], {'default': '0'})
        }
    }

    complete_apps = ['jenkins_ci']