from racks import crud
from jenkins_ci.models import JenkinsErrorLog


class JenkinsLogsListView(crud.ListView):
    template_name = 'jenkins_ci/logs/change_list.html'

    def get_queryset(self):
        return JenkinsErrorLog.objects.all().select_related('instance').order_by('-created')


class JenkinsLogsViewSet(crud.ViewSet):
    model = JenkinsErrorLog
    list_view = JenkinsLogsListView
    create_view = None
    delete_view = None
    update_view = None
    detail_view = None

    readonly_fields = tuple()


urlpatterns = JenkinsLogsViewSet('jenkins_ci.logs').urlpatterns
