import csv

from django.contrib.auth.decorators import login_required
from django.shortcuts import HttpResponse

from jenkins_ci.models import JenkinsNode


@login_required
def export_jenkins_slaves(request):

    object_list = JenkinsNode.objects.all().select_related('instance')

    response = HttpResponse(
        content_type='text/csv',
        reason='Ok',
    )
    writer = csv.writer(response)
    writer.writerow(['instance', 'slave', 'address', 'labels', 'last_job', 'vcpu_count',
                     'free_memory', 'disk_space', 'status'])
    for n in object_list:
        row = [n.instance.name, n.name, n.formatted_address, n.all_labels, n.last_job, n.executors,
               n.available_memory, n.disk_space, n.formatted_status]
        writer.writerow(row)

    return response
