from django.contrib.auth.management.commands import createsuperuser
from racks.models import Source, SOURCE_LOCAL
from django.contrib.auth.models import User
from django.db.models.signals import post_save


class Command(createsuperuser.Command):
    def handle(self, *args, **options):
        def add_local(sender, instance, *args, **kwargs):
            instance.sources.add(Source.objects.get(source=SOURCE_LOCAL))

        post_save.connect(add_local, sender=User)
        super(Command, self).handle(*args, **options)
