from django.test import TestCase
from mock import patch, MagicMock

from racks import crud
from collections import defaultdict

# TODO: cover all functions in CRUD


class CrudCreateViewTests(TestCase):
    @patch('racks.crud.reverse')
    def test_get_success_url(self, reverse):
        reverse.return_value = '/321'
        create_view = crud.CreateView()
        create_view.view_set = MagicMock()
        create_view.view_set.url_names = defaultdict(str)
        new_object = MagicMock()
        new_object.get_absolute_url.return_value = '/123'
        self.assertEqual(create_view.get_success_url(new_object), '/123')
        new_object.get_absolute_url.side_effect = AttributeError()
        self.assertEqual(create_view.get_success_url(new_object), '/321')
