from django.test import TestCase

from racks.encryption import EnigmaMachine, EncryptionError


class EncryptionTestCase(TestCase):

    def test_symmetric_encryption(self):
        foreign_enigma = EnigmaMachine('foreign secret key')
        local_enigma = EnigmaMachine('local secret key')
        original = 'very secret data'

        encrypted = foreign_enigma.encrypt(original)
        self.assertNotEqual(original, encrypted)  # Ensure we have encrypted the data

        foreign_decrypted = foreign_enigma.decrypt(encrypted)
        self.assertEqual(original, foreign_decrypted)

        local_decrypted = local_enigma.decrypt_or_return(encrypted)
        self.assertEqual(encrypted, local_decrypted)
        self.assertNotEqual(original, local_decrypted)

        self.assertRaises(EncryptionError, local_enigma.decrypt, encrypted)
