from django.conf.urls import include, patterns, url
from rest_framework import routers

from inventory.views import api_v2

router = routers.DefaultRouter()
router.register(r'users', api_v2.UserViewSet)
router.register(r'objects', api_v2.InventoryObjectViewSet)
router.register(r'ipv4networks', api_v2.IPv4NetworkViewSet)


urlpatterns = patterns(
    '',
    # API v2 views
    # TODO: Fix API v2
    # (r'^api\/v2\/', include(router.urls)),

    # Old urls
    url(r'^account\/applications/(?P<applicationid>[0-9]+)\.html', 'security.views.application',
        name='security.applications.view'),
    url(r'^account\/applications\.html$', 'security.views.applications',
        name='security.applications.list'),
    (r'^export\/object\/inventory\.csv',
        'inventory.views.misc.export_object_inventory'),
    url(r'^reports\/basic\.html$', 'reports.views.basic', name='reports.views.basic'),
    url(r'^search\.html$', 'inventory.views.misc.search', name='inventory.objects.search'),

    url(r'^login/$', 'security.views.login_view'),
    url(r'^logout/$', 'security.views.logout_view'),

    url(r'^account/', include('account.views')),

    url(r'^launchpad/authorize$', 'launchpad.views.authorize', name='launchpad.authorize'),
    url(r'^launchpad/fetchbugs$', 'launchpad.views.fetch_bugs_json'),


    # Objects
    url(r'^', include('inventory.views.objects')),
    url(r'^labs/', include('inventory.views.labs')),
    url(r'^labels/', include('inventory.views.labels')),
    url(r'^locations/', include('inventory.views.locations')),
    url(r'^ipv4networks/', include('inventory.views.ipv4networks')),
    url(r'^vlans/', include('inventory.views.vlans')),
    url(r'^switches/', include('inventory.views.switches')),

    url(r'^jenkins_ci/', include('jenkins_ci.views.instances')),
    url(r'^jenkins_nodes/', include('jenkins_ci.views.nodes')),
    url(r'^jenkins_logs/', include('jenkins_ci.views.logs')),
    (r'^export\/jenkins_ci\/slaves\.csv',
        'jenkins_ci.views.misc.export_jenkins_slaves'),
    url(r'^reports\/jenkins\.html$', 'reports.views.jenkins', name='reports.views.jenkins'),
)
