from django.contrib.auth.decorators import login_required
from django.db.models import Count
from django.shortcuts import render

from inventory.models import Location
from jenkins_ci.models import JenkinsInstance


@login_required
def basic(request):
    locations = Location.objects.annotate(inventory_objects_count=Count('facts__inventory_objects'))

    return render(request, 'reports/basic.html', {
        'locations': locations,
    })


@login_required
def jenkins(request):
    instances = JenkinsInstance.objects.annotate(slaves_count=Count('nodes'))

    return render(request, 'reports/jenkins.html', {
        'instances': instances,
    })
