from django.contrib.auth.models import User
from django.db import models
from django.utils.translation import ugettext_lazy as _

from racks.models import RacksTimestampedModel


class Application(RacksTimestampedModel):
    access = models.DateTimeField(blank=True, null=True, default=None)
    name = models.CharField(max_length=128)
    auth_token = models.CharField(max_length=128, unique=True)
    user = models.ForeignKey(User, related_name='applications')

    class Meta:
        unique_together = ('name', 'user')

    @property
    def pretty_access_time(self):
        if self.access is None:
            return _('Never')
        else:
            return self.access

    def get_absolute_url(self):
        return '/account/applications/%s.html' % self.pk
